summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-09-10 12:48:27 +0200
committerHolger Levsen <holger@layer-acht.org>2015-09-10 12:48:27 +0200
commitd7c992f0d4691e9f383e1e7df09c0620c11b5e8e (patch)
treee71e8a78d6721eaa506c72c43ea0feefd154176f
parent22204271f9e87f7207a9fd6de69bed2a4b5df40c (diff)
downloadjenkins.debian.net-d7c992f0d4691e9f383e1e7df09c0620c11b5e8e.tar.xz
reproducible: handle wget network problems more gracefully
-rwxr-xr-xbin/reproducible_build.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index 3dba3aa8..a126b728 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -407,7 +407,7 @@ get_source_package() {
RESULT=$?
else
# remote build, no need to download the full source package...
- schroot --directory $TMPDIR -c source:jenkins-reproducible-$SUITE apt-get -- --download-only --only-source --print-uris source ${SRCPACKAGE} | grep \.dsc|cut -d " " -f1|xargs wget
+ schroot --directory $TMPDIR -c source:jenkins-reproducible-$SUITE apt-get -- --download-only --only-source --print-uris source ${SRCPACKAGE} | grep \.dsc|cut -d " " -f1|xargs wget || true
RESULT=$?
fi
if [ $RESULT != 0 ] || [ "$(ls ${SRCPACKAGE}_*.dsc 2> /dev/null)" = "" ] ; then
@@ -422,7 +422,7 @@ get_source_package() {
RESULT=$?
else
# remote build, no need to download the full source package...
- schroot --directory $TMPDIR -c source:jenkins-reproducible-$SUITE apt-get -- --download-only --only-source --print-uris source ${SRCPACKAGE} | grep \.dsc|cut -d " " -f1|xargs wget
+ schroot --directory $TMPDIR -c source:jenkins-reproducible-$SUITE apt-get -- --download-only --only-source --print-uris source ${SRCPACKAGE} | grep \.dsc|cut -d " " -f1|xargs wget || true
RESULT=$?
fi
fi